Crashes QGIS or corrupts data:No Copied to github as #: 29464

Description

Hello, 

I am trying to open a netCDF file in QGIS 3.4.5 on a Mac (Mojave), but I receive the error message:

Invalid Layer: GDAL provider Cannot open GDAL dataset

/Users/.../S1-GUNW-A-R-041-tops-20190220_20190208-120200-45050N_43180N-PP-bac2-v2_0_1.nc:

`/Users/.../S1-GUNW-A-R-041-tops-20190220_20190208-120200-45050N_43180N-PP-bac2-v2_0_1.nc' not recognized as a

supported file format. Raster layer Provider is not valid (provider: gdal, URI:

/Users/.../S1-GUNW-A-R-041-tops-20190220_20190208-120200-45050N_43180N-PP-bac2-v2_0_1.nc

Apparently, this is a similar issue to those of the closed discussions here: #20980 #20921

I cannot find the Mac installer for QGIS 3.7-master, as suggested here - #20980 - only .exe files are available on the weekly downloads

page. I downloaded the most recent version of QGIS for Mac (v. 3.6.0 Noosa) but that gives the same error.

What is the best way to read netCDF files into QGIS on Mac?

Thanks for any assistance!

-Robert

History

#1 - 2019-03-21 09:30 PM - Giovanni Manghi

- Status changed from Open to Feedback

I cannot find the Mac installer for QGIS 3.7-master, as suggested here

try this ones https://lutraconsulting.github.io/qgis-mac-packager/

#2 - 2019-03-23 04:11 PM - Jürgen Fischer

- Description updated

#3 - 2019-05-21 11:47 AM - Alexander Bruy

- Category changed from GDAL Tools to Rasters
